*,
*::before,
*::after {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
}

html {
    scroll-behavior: smooth;
}

/* Light (Weight 300) */

@font-face {
    font-family: 'SF Pro';
    src: url('fonts/SF-Pro-Display-Light.otf') format('opentype');
    font-weight: 300;
    font-style: normal;
}

/* Regular (Weight 400) */

@font-face {
    font-family: 'SF Pro';
    src: url('fonts/SF-Pro-Display-Regular.otf') format('opentype');
    font-weight: 400;
    font-style: normal;
}

/* Medium (Weight 500) */

@font-face {
    font-family: 'SF Pro';
    src: url('fonts/SF-Pro-Display-Medium.otf') format('opentype');
    font-weight: 500;
    font-style: normal;
}

/* Bold (Weight 700) */

@font-face {
    font-family: 'SF Pro';
    src: url('fonts/SF-Pro-Display-Bold.otf') format('opentype');
    font-weight: 700;
    font-style: normal;
}

/* Heavy */

@font-face {
    font-family: 'SF Pro';
    src: url('/fonts/SF-Pro-Display-Heavy.otf') format('opentype');
    font-weight: 800;
    font-style: normal;
}

body {
    font-family: "SF Pro";
    font-weight: 300;
    letter-spacing: 1px;
}

a {
    text-decoration: none;
}

ul {
    list-style-type: none;
}

.container {
    padding-inline: 4rem;
}

button {
    font-family: "SF Pro";
}

.btn {
    padding-block: 0.625rem;
    padding-inline: 1.5rem;
    border-radius: 0.5rem;
    border: none;
    font-weight: 400;
    color: #ffffff;
    cursor: pointer;
}

/* Header */

header {
    padding-inline: 4rem;
    padding-block: 2rem;
    background-color: transparent;
    position: absolute;
    width: 100%;
}

nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
}

.logo {
    display: flex;
    gap: 0.5rem;
}

.logo .logo-img {
    display: block;
    width: 29px;
}

.logo .logo-text {
    font-size: 1.5rem;
    color: #ffffff;
}

.nav-links {
    display: flex;
    gap: 3rem;
}

.nav-links li {
    display: flex;
    align-items: center;
    gap: 0.75rem;
}

.nav-links li img {
    width: 16px;
}

.nav-links li a {
    color: #ffffff;
}

nav .signing-btns {
    display: flex;
    gap: 1rem;
}

nav .signing-btns .login {
    border: 1px solid #ffffff;
    background-color: #ffffff33;
}

nav .signing-btns .signup {
    background-color: #3D66FB;
}

nav .menu {
    display: none;
}

nav .menu-icon {
    display: none;
}

nav .menu-nav-links {
    display: none;
    position: absolute;
    right: 4px;
    top: 28px;
    background-color: #e7e7e7;
    width: 300px;
    border-radius: 0.5rem;
}

nav .menu-nav-links li {
    padding: 1rem 2rem;
}

nav .menu-nav-links li:first-child {
    border-top-left-radius: 0.5rem;
    border-top-right-radius: 0.5rem;
}

nav .menu-nav-links li:last-child {
    border-bottom-left-radius: 0.5rem;
    border-bottom-right-radius: 0.5rem;
}

nav .menu-nav-links li:hover {
    background-color: #f0f0f0;
}

nav .menu-nav-links li:not(:last-child) {
    border-bottom: 1px solid #7c7b7b;
}

nav .menu-nav-links li a {
    color: #000000;
    padding-right: 5px;
    display: block;
    width: 100%;
}

nav .menu-nav-links li img {
    width: 12px;
    padding-right: 2px;
}

@media (max-width: 1350px) {
    .container {
        padding-inline: 0;
    }
    
    header {
        padding-inline: 1rem;
    }
    
    nav .nav-links {
        display: none;
    }
    
    nav .signing-btns {
        display: none;
    }
    
    nav .menu {
        display: block;
    }
    
    nav .menu-icon {
        display: block;
        width: 29px;
    }
    
    nav .menu:hover .menu-nav-links {
        display: block;
    }
}

/* Pricing Section */

.pricing-section {
    padding-top: 9rem;
    background-image: url("images/background.svg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    height: 900px;
    margin-bottom: 20rem;
}

.pricing-section h1 {
    font-size: 4rem;
    color: #ffffff;
    width: fit-content;
    margin: 5rem auto 0;
    text-align: center;
    margin-bottom: 1.5rem;
}

.pricing-section .intro-text {
    font-size: 1.25rem;
    color: #ffffffcc;
    width: fit-content;
    margin: 0 auto;
    text-align: center;
}

.pricing-cards {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 5rem;
}

.pricing-cards .card {
    background-color: #F5F5F5;
    padding-bottom: 2rem;
    width: 380px;
    box-shadow: 0px 5px 5px  2px 0px 5px #000000#00000021,21, -2px 0px 5px #00000021;
    height: fit-content;
}

.pricing-cards .card:first-child {
    border-top-left-radius: 0.75rem;
    border-bottom-left-radius: 0.75rem;
}

.pricing-cards .card:first-child .card-header {
    border-top-left-radius: 0.75rem;
}

.pricing-cards .card:nth-child(2) {
    border-radius: 0.75rem;
    border: 3px solid #3D66FB;
    width: 550px;
}

.pricing-cards .card:nth-child(2) .card-header {
    border-top-right-radius: 0.75rem;
    border-top-left-radius: 0.75rem;
}

.pricing-cards .card:nth-child(2) .tagline {
    color: #ffffff;
    background-color: #3D66FB;
    padding-block: 1.5rem;
    text-align: center;
    vertical-align: middle;
    font-size: 1.5rem;
    border-top-right-radius: 0.50rem;
    border-top-left-radius: 0.50rem;
}

.pricing-cards .card:nth-child(2) .tagline img {
    vertical-align: middle;
    margin-left: 0.5rem;
}

.pricing-cards .card:nth-child(2) .card-header {
    padding-bottom: 2rem;
}

.pricing-cards .card:nth-child(2) .card-header h4 {
    margin-top: 2.5rem;
    font-weight: 600;
}

.pricing-cards .card:nth-child(2) .card-header .plan-text {
    font-size: 2rem;
}

.pricing-cards .card:nth-child(2) .card-header .plan-text .price {
    font-size: 6rem;
}

.pricing-cards .card:nth-child(2) button {
    background-color: #3D66FB;
    color: #ffffff;
}

.pricing-cards .card:last-child {
    border-top-right-radius: 0.75rem;
    border-bottom-right-radius: 0.75rem;
}

.pricing-cards .card:last-child .card-header {
    border-top-right-radius: 0.75rem;
    border-bottom-right-radius: 0.75rem;
}

.pricing-cards .card:not(:nth-child(2)) .card-header {
    padding-block: 2rem;
    padding-inline: 2.5rem;
}

.pricing-cards .card .card-header {
    background-color: #ffffff;
    box-shadow: 0px 1.5px #e7e7e7;
    text-align: center;
}

.pricing-cards .card .card-details {
    background-color: #F5F5F5;
}

.pricing-cards .card .card-header h4 {
    font-size: 2rem;
    font-weight: 500;
    letter-spacing: 0;
    margin-bottom: 1rem;
}

.pricing-cards .card .card-header .plan-text {
    font-weight: 500;
    font-size: 1.5rem;
    color: #636363;
}

.pricing-cards .card .card-header .plan-text .price {
    font-size: 3rem;
    font-weight: 800;
    color: #323232;
    padding-right: 0.625rem;
    vertical-align: middle;
}

.pricing-cards .card ul {
    display: flex;
    flex-direction: column;
    gap: 1.063rem;
    padding-inline: 2.5rem;
    padding-block: 2rem;
}

.pricing-cards .card ul li {
    color: #636363;
    position: relative;
    padding-left: 2.7rem;
}

.pricing-cards .card ul li::before {
    content: url("images/list-item-icon.svg");
    position: absolute;
    left: 0;
}

.pricing-cards .card button {
    display: block;
    margin-inline: 2.5rem;
    padding-inline: 1.5rem;
    padding-block: 1rem;
    background-color: #4d42f91a;
    border: 1px solid #3D66FB;
    border-radius: 0.5rem;
    width: calc(100% - 5rem);
    color: #3D66FB;
    font-weight: 500;
    cursor: pointer;
}

@media (min-width: 550px) {
    .pricing-section .container {
        padding-inline: 5rem;
    }

}

@media (max-width: 960px) {
    .pricing-section .container h1 {
        font-size: 2rem;
    }
    
    .pricing-section .container {
        margin-bottom: 20rem;
    }
    
    .pricing-cards {
        margin-top: 0;
    }
}

@media (min-width: 960px) {
    .pricing-section .container {
        padding-inline: 3rem;
    }
    
    .pricing-section .pricing-cards {
        flex-direction: row;
        gap: 0;
        padding-bottom: 2rem;
    }
}

@media (max-width: 1350px) {
    .container {
        padding-inline: 1rem;
    }
    
    .pricing-section {
        height: fit-content;
        margin-bottom: 7rem;
    }
    
    .pricing-section h1 {
        margin-top: 0;
        padding-top: 10rem;
        font-size: 3rem;
    }
    
    .pricing-cards {
        flex-direction: column;
        gap: 1rem;
        padding-bottom: 2rem;
        position: relative;
        top: 250px;
    }
    
    .pricing-cards .card {
        width: 100%;
        border-radius: 0.75rem;
    }
    
    .pricing-cards .card:nth-child(2) {
        width: 100%;
    }
    
    .pricing-cards .card .card-header {
        border-top-left-radius: 0.75rem;
        border-top-right-radius: 0.75rem;
    }
    
    .pricing-cards .card .card-header h4,
    .pricing-cards .card:nth-child(2) .card-header h4 {
        font-size: 1.5rem;
    }
    
    .pricing-cards .card:nth-child(2) .card-header h4 {
        margin-top: 1.5rem;
    }
    
    .pricing-cards .card .card-header .plan-text,
    .pricing-cards .card:nth-child(2) .card-header .plan-text {
        font-size: 1rem;
    }
    
    .pricing-cards .card .card-header .plan-text .price,
    .pricing-cards .card:nth-child(2) .card-header .plan-text .price {
        font-size: 2rem;
        padding-right: 0.3rem;
    }
    
    .pricing-cards .card ul li {
        font-size: 0.75rem;
    }
    
    .pricing-cards .card ul {
        padding-inline: 1.5rem;
    }
    
    .pricing-cards .card button {
        font-size: 0.7rem;
        margin-inline: 1.5rem;
        padding-inline: 0.5rem;
        width: calc(100% - 3rem);
    }
}

/* FQA Section */

.fqa h2 {
    text-align: center;
    color: #323232;
    font-weight: 700;
    font-size: 3rem;
    margin-bottom: 1.5rem;
}

.fqa p {
    text-align: center;
    font-size: 1.125rem;
    color: #636363;
}

.fqa .questions {
    height: 300px;
    margin-top: 5rem;
    display: flex;
    column-gap: 5rem;
}

.fqa .questions ul {
    width: calc(50% - 5rem);
}

.fqa .questions ul li {
    padding-block: 1.25rem;
    line-height: 2;
    position: relative;
    border-top: 1px solid #32323233;
    color: #323232;
    font-size: 1.125rem;
    font-weight: 500;
}

.fqa .questions ul li:last-child {
    border-bottom: 1px solid #32323233;
}

.fqa .questions ul li::after {
    content: url("images/drop-down-icon-dark.svg");
    position: absolute;
    right: 5px;
    top: 50%;
    transform: translateY(-50%);
}

@media (min-width: 550px) {
    .fqa .container {
        padding-inline: 3rem;
    }
}

@media (min-width: 960px) {
    .fqa .container {
        padding-top: 15rem;
    }
}

@media (max-width: 410px) {
    .fqa .questions ul li {
        font-size: 1rem;
        padding-right: 40px;
    }
    
    .fqa .questions {
        margin-bottom: 30rem;
    }
}

@media (max-width: 1350px) {
    .fqa h2 {
        font-size: 2rem;
    }
    
    .fqa .container {
        margin-bottom: 20rem;
    }
    
    .fqa .questions {
        display: flex;
        flex-direction: column;
        column-gap: 2rem;
        justify-content: space-between;
    }
    
    .fqa .questions ul {
        width: 100%;
    }
    .fqa .questions ul li {
        width: 100%;
        font-size: 0.875rem;
    }
}

/* Call to Action Aection */

.call-to-action-section {
    margin-top: 10rem;
    margin-bottom: 10rem;
    background-color: #3D66FB;
    color: #ffffff;
    text-align: center;
    padding-block: 4rem;
    position: relative;
    overflow: hidden;
}

.call-to-action-section::before {
    content: "";
    width: 700px;
    height: 700px;
    border: 0.5px solid #ffffff;
    position: absolute;
    border-radius: 50%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.call-to-action-section::after {
    content: "";
    position: absolute;
    width: 900px;
    height: 900px;
    border: 0.5px solid #ffffff;
    border-radius: 50%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.call-to-action-section h2 {
    font-size: 3rem;
    margin-bottom: 2rem;
}

.call-to-action-section p {
    font-size: 1.125rem;
    margin-bottom: 2rem;
}

.call-to-action-section button {
    background-color: #ffffff33;
    border: 1px solid #ffffff;
    cursor: pointer;
}

@media (max-width: 1350px) {
    .container {
        padding-inline: 1rem;
    }
    
    .call-to-action-section {
        margin-bottom: 4rem;
    }
    
    .call-to-action-section h2 {
        font-size: 2rem;
    }
    
    .call-to-action-section p {
        font-size: 0.875rem;
    }
    
    .call-to-action-section::before {
        width: 500px;
        height: 500px;
    }
    
    .call-to-action-section::after {
        width: 600px;
        height: 600px;
    }
}

/* Footer */

footer .container {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
}

footer .logo .logo-text {
    color: #323232;
}

footer .nav-links {
    margin-top: 2rem;
    margin-bottom: 3rem;
}

footer .nav-links li a {
    color: #323323;
}

footer .footer-links {
    display: flex;
    gap: 1.5rem;
    padding: 2rem;
    border-top: 1px solid #3232321a;
}

footer .footer-links li a {
    color: #323323;
    font-weight: 500;
    text-decoration: underline;
}

@media (max-width: 1350px) {
    footer .nav-links {
        flex-direction: column;
        align-items: center;
    }
    
    footer .nav-links li a {
        font-size: 0.875rem;
    }
    
    footer .footer-links {
        gap: 1.5rem;
        justify-content: center;
        text-align: center;
    }
    
    footer .footer-links li a {
        font-size: 0.875rem;
    }
}